%define url_ver %(echo %{version} | cut -c 1-4)
%define subrel  1

Summary:	Subtitle editor
Name:		subtitleeditor
Version:	0.41.0
Release:	%mkrel 2
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		http://home.gna.org/subtitleeditor/
Source:		http://download.gna.org/subtitleeditor/%{url_ver}/%{name}-%{version}.tar.gz
# gstreamermm 0.10.11 related fixes from upstream
Patch0:		%{name}-0.41.0-textoverlay.patch
Patch1:		%{name}-0.41.0-keyframe-generation.patch

BuildRequires: ccache
BuildRequires: gettext
BuildRequires: glibc-devel
BuildRequires: gstreamer0.10-plugins-good
BuildRequires: intltool
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkgconfig(atk)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(cairomm-1.0)
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(enchant)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(glibmm-2.4)
BuildRequires: pkgconfig(glitz)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires: pkgconfig(gstreamermm-0.10) >= 0.10.6
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtkglext-1.0)
BuildRequires: pkgconfig(gtkglextmm-1.2)
BuildRequires: pkgconfig(gtkmm-2.4)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(libglademm-2.4)
BuildRequires: pkgconfig(libpng12)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxml++-2.6)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(sigc++-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xau)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(xdmcp)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(zlib)
Requires:	iso-codes
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-ffmpeg
Requires:	mplayer

%description
Subtitle Editor is a GTK+2 tool to edit subtitles.

It can be used for new subtitles or as a tool to transform, edit, correct and
refine existing subtitle. This program also shows sound waves, which makes it 
easier to synchronise subtitles to voices.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
  --disable-debug \
  --disable-static \
  --enable-gl \
  --enable-ccache
%make

%install
%makeinstall_std

%find_lang %{name}

# we don't ship devel files for now
find %{buildroot} -name '*.la' -delete
rm -f %{buildroot}%{_libdir}/lib%{name}.so

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/subtitleeditor
%{_libdir}/*.so.*
%{_libdir}/%name
%{_datadir}/applications/subtitleeditor.desktop
%{_datadir}/subtitleeditor
%{_mandir}/man1/*.1.*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/subtitleeditor.svg


%changelog
* Sat Aug 30 2014 akien <akien> 0.41.0-2.1.mga4
+ Revision: 669374
- Bump subrel
- Fix packaging error that removed plugin .so files
- Backport patches from upstream to fix gstreamermm 0.10.11 issues

* Sat Oct 19 2013 umeabot <umeabot> 0.41.0-2.mga4
+ Revision: 531725
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 fwang <fwang> 0.41.0-1.mga4
+ Revision: 464846
- update rpm group
- cleanup spec
- new version 0.41.0
- new version 0.40.0

  + gil <gil>
    - update to 0.39.0

  + ennael <ennael>
    - clean spec file
    - imported package subtitleeditor

